package com.ttstd.dialer.db.contact;

import android.content.Context;

import java.util.List;

public class ContactRepository {
    private ContactDao mContactDao;

    // 构造函数，获取数据库访问对象
    public ContactRepository(Context context) {
        ContactDatabase db = ContactDatabase.getDatabase(context);
        mContactDao = db.contactDao();
    }

    public int getTotalCount() {
        return mContactDao.getTotalCount();
    }

    public int getCountById() {
        return mContactDao.getCountById();
    }

    // 获取所有联系人
    public List<ContactInfo> getAllContacts() {
        return mContactDao.getAllContacts();
    }

    // 根据ID获取联系人
    public ContactInfo getContactById(int id) {
        return mContactDao.getContactById(id);
    }

    // 搜索联系人
    public List<ContactInfo> searchContacts(String query) {
        return mContactDao.searchContacts("%" + query + "%");
    }

    // 添加联系人
    public long insert(ContactInfo contactInfo) {
       return mContactDao.insert(contactInfo);
    }

    // 更新联系人
    public int update(ContactInfo contactInfo) {
        return  mContactDao.update(contactInfo);
    }

    // 删除联系人
    public int delete(ContactInfo contactInfo) {
        return  mContactDao.delete(contactInfo);
    }

    // 根据ID删除联系人
    public int deleteById(int id) {
        return mContactDao.deleteById(id);
    }

    // 删除所有联系人
    public int deleteAll() {
        return mContactDao.deleteAll();
    }
}
